Register Members List Search Today's Posts Mark Forums Read

Reply
 
Mod Options
IE11 browser detection and fixes Details »
IE11 browser detection and fixes
Mod Version: 1.00, by Zachery (Member) Zachery is offline
Developer Last Online: May 2017 I like it Show Printable Version Email this Page

vB Version: 3.8.7 Rating: (3 votes - 5.00 average) Installs: 21
Released: 17 Oct 2013 Last Update: Never Downloads: 0
Not Supported Code Changes  

IE11 gets along pretty well with vB3, though file downloads get a bit wonky due to some changes in how IE is detected.

In includes/functions.php find:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Add above:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Next, find:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

And replace it with


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Download Now

Only licensed members can download files, Click Here for more information.

Show Your Support

  • To receive notifications regarding updates -> Click to Mark as Installed.
  • If you like this modification support the author by donating.
  • This modification may not be copied, reproduced or published elsewhere without author's permission.
Similar Mod
Mod Developer Type Replies Last Post
Integration with vBulletin Mobile Device & Browser Detection (Adapted by BOP5) BirdOPrey5 vBulletin 4.x Add-ons 40 10 Sep 2018 16:08

  #31  
Old 06 Jan 2014, 10:29
cellarius's Avatar
cellarius cellarius is offline
 
Join Date: Aug 2005
Real name: Sven
Up to now, l was using offsite, So never really cared
__________________
Please note that there will be no further updates to my addons, especially they will not be upgraded for vB5. I'm leaving vB, since IB choose to go the banana-way yet again.

http://www.roma-antiqua.de
Reply With Quote
  #32  
Old 08 Jan 2014, 18:29
wacnstac wacnstac is offline
 
Join Date: Nov 2001
I'm confused as my latest stock install of 3.8.7 pulls YUI 2.9 directly from yahoo. Are you guys pulling the 2.9, modding it and then pointing your board to your own modded version?
Reply With Quote
  #33  
Old 08 Jan 2014, 18:35
cellarius's Avatar
cellarius cellarius is offline
 
Join Date: Aug 2005
Real name: Sven
I plan on downloading the latest vB3.8 version, get the yui files provided in the package, modify them and use those on my server.
__________________
Please note that there will be no further updates to my addons, especially they will not be upgraded for vB5. I'm leaving vB, since IB choose to go the banana-way yet again.

http://www.roma-antiqua.de
Reply With Quote
  #34  
Old 09 Jan 2014, 16:07
wacnstac wacnstac is offline
 
Join Date: Nov 2001
Originally Posted by cellarius View Post
I plan on downloading the latest vB3.8 version, get the yui files provided in the package, modify them and use those on my server.
I tried this process with the suggested modification and loaded the .js file from my own server but it didn't seem to fix the problem. Can anyone else confirm?
Reply With Quote
  #35  
Old 03 Feb 2014, 11:26
realdx realdx is offline
 
Join Date: Mar 2009
I have vB3.8.4 version and 2,7 YUI version. I tryed to apply mod to *.js file but smiles not works in IE11 :-(((((((

Last edited by realdx; 03 Feb 2014 at 11:59.
Reply With Quote
  #36  
Old 06 Feb 2014, 08:01
realdx realdx is offline
 
Join Date: Mar 2009
These are my problems with IE11:

- If I put this correct code into headinclude, smiles not works and lightbox for attachment files works very very well


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

- If I remove code from headinclude, smiles works fine but lightbox for attachment files works bad: it opens but not load image...if click into black box, image opens in a new window's browser...late if click another time on thumbnail, image opens fine with lightbox (because image is present into cache????)

PLEASE HELP ME !!!
Reply With Quote
  #37  
Old 06 Feb 2014, 08:44
Zachery's Avatar
Zachery Zachery is offline
 
Join Date: Jul 2002
Real name: Zachery Woods
Try IE=10
__________________
Looking for ImpEx?
Reply With Quote
  #38  
Old 06 Feb 2014, 10:45
realdx realdx is offline
 
Join Date: Mar 2009
I've already tried this mod. Nothing !

Probably with IE10 installed works fine, but I wanted to try to fix problems in IE11, for next years...

I hope to receive help and solutions from some coder or developers :-)
Reply With Quote
  #39  
Old 06 Feb 2014, 20:35
Zachery's Avatar
Zachery Zachery is offline
 
Join Date: Jul 2002
Real name: Zachery Woods
<meta http-equiv="X-UA-Compatible" content="IE=10" /> That is what I meant/
__________________
Looking for ImpEx?
Reply With Quote
  #40  
Old 06 Feb 2014, 20:44
realdx realdx is offline
 
Join Date: Mar 2009
Thank you Zachery, I understood your suggestion. I've already tried that code but without change :-(
Reply With Quote
Reply


Currently Active Users Viewing This Thread: 1 (0 members and 1 guests)
 
Mod Options

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


New To Site? Need Help?

All times are GMT. The time now is 05:42.

Layout Options | Width: Wide Color: